using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace zad2k2
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] nz = Console.ReadLine().Split();
            int a = int.Parse(nz[0]), b = int.Parse(nz[1]), c = a * b, d = (a-2)*(b-2)+1;
            Console.WriteLine(c-d/2);
            Console.ReadLine();
        }
    }
}